Bug 2026153 - pure-ftpd-1.0.51 is available
Summary: pure-ftpd-1.0.51 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pure-ftpd
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ondřej Lysoněk
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-11-23 21:56 UTC by Upstream Release Monitoring
Modified: 2022-08-01 00:57 UTC (History)
8 users (show)

Fixed In Version: pure-ftpd-1.0.51-1.fc37 pure-ftpd-1.0.51-1.el9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-07-23 21:54:52 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
[patch] Update to 1.0.50 (#2026153) (934 bytes, patch)
2021-11-23 21:56 UTC, Upstream Release Monitoring
no flags Details | Diff
Update to 1.0.51 (#2026153) (993 bytes, patch)
2022-06-14 12:29 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2021-11-23 21:56:09 UTC
Latest upstream release: 1.0.50
Current version/release in rawhide: 1.0.49-11.fc36
URL: http://download.pureftpd.org/pub/pure-ftpd/releases/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/3731/

Comment 1 Upstream Release Monitoring 2021-11-23 21:56:15 UTC
Created attachment 1843240 [details]
[patch] Update to 1.0.50 (#2026153)

Comment 2 Upstream Release Monitoring 2021-11-23 22:03:29 UTC
the-new-hotness/release-monitoring.org's scratch build of pure-ftpd-1.0.50-1.fc34.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=79210410

Comment 3 Upstream Release Monitoring 2022-06-14 12:29:45 UTC
Releases retrieved: 1.0.51
Upstream release that is considered latest: 1.0.51
Current version/release in rawhide: 1.0.49-12.fc36
URL: https://www.pureftpd.org

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/3731/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/pure-ftpd

Comment 4 Upstream Release Monitoring 2022-06-14 12:29:50 UTC
Created attachment 1889707 [details]
Update to 1.0.51 (#2026153)

Comment 5 Upstream Release Monitoring 2022-06-14 12:35:05 UTC
the-new-hotness/release-monitoring.org's scratch build of pure-ftpd-1.0.51-1.fc36.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=88262341

Comment 6 Istiak Ferdous 2022-06-21 12:16:01 UTC
None of the maintainers for this package have any activity for last 1 year in Fedora source. I wish to maintain this package if current maintainers don't have time for this.

Comment 7 Ondřej Lysoněk 2022-06-22 16:50:09 UTC
(In reply to Istiak Ferdous from comment #6)
> None of the maintainers for this package have any activity for last 1 year
> in Fedora source. I wish to maintain this package if current maintainers
> don't have time for this.

Hi, thanks for reaching out. Unfortunately I can't give you commit access because you (FAS istiak101) are not in the packager group.

Please read https://docs.fedoraproject.org/en-US/package-maintainers/How_to_Get_Sponsored_into_the_Packager_Group/

Apart from becoming a packager and maintainer of this package, you could also contribute to this package by creating a merge request. Hopefully someone will find time to review and merge it.

Comment 8 Ondřej Lysoněk 2022-06-22 17:57:59 UTC
I've looked over the changes between 1.0.49 and 1.0.51 and it looks good. But we can update in Rawhide only, not in released Fedora versions, because there are some backward-incompatible changes. From the changelog:

"
 - Support for MD5, SHA1 and MySQL PASSWORD() function were removed for
password hashing. You should now use scrypt, argon2 or the system crypt(3)
function.
 - The SPSV command has been removed.
"

We should also make sure we don't unintentionally lose any cmdline options after build - see the changes in src/simpleconf_ftpd.h.

That's all the time I can give it today.

Comment 9 Fedora Update System 2022-07-21 17:52:40 UTC
FEDORA-EPEL-2022-c42e39acb0 has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-c42e39acb0

Comment 10 Fedora Update System 2022-07-21 17:56:45 UTC
FEDORA-2022-d14373ecac has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-d14373ecac

Comment 11 Fedora Update System 2022-07-23 21:54:52 UTC
FEDORA-2022-d14373ecac has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2022-07-24 01:57:17 UTC
FEDORA-EPEL-2022-c42e39acb0 has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-c42e39acb0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2022-08-01 00:57:56 UTC
FEDORA-EPEL-2022-c42e39acb0 has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.